
from __future__ import print_function
import unittest
from robotgame.logic.teleportermap import *
from robotgame.logic.direction import *


class TeleporterMapTest(unittest.TestCase):
    def test_map_generation(self):
        for w, h in (
            (8, 5),
            (16, 16)
            ):
            tmap = generate_teleporter_map(w, h)
            print()
            print_map(tmap)
            print()

if __name__ == '__main__':
    unittest.main()
